org.codehaus.plexus.util.cli

## Class CommandLineException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.util.cli.CommandLineException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CommandLineTimeOutException

    public class CommandLineException
    extends java.lang.Exception

Version:
  $Id: CommandLineException.java 8010 2009-01-07 12:59:50Z vsiveton $
Author:
  Trygve Laugstøl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CommandLineException(java.lang.String message)`
`CommandLineException(java.lang.String message, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CommandLineException

    public CommandLineException(java.lang.String message)

#### CommandLineException

    public CommandLineException(java.lang.String message,
                                java.lang.Throwable cause)